package com.idv2.learnjsp;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class for Servlet: InitParam
 *
 */
 public class InitParam extends javax.servlet.http.HttpServlet implements javax.servlet.Servlet {
	/**
	 * 自动生成的序列号
	 */
	private static final long serialVersionUID = 7732869603825506920L;
	
	/**
	 * 程序名称
	 */
	private String appName;
	
	/**
	 * 页面标题
	 */
	private String title;

	public void init() {
		// 获取参数
		ServletConfig config = getServletConfig();
		ServletContext context = config.getServletContext();
		title = config.getInitParameter("title");
		appName = context.getInitParameter("appname");
	}
	
	/* (non-Java-doc)
	 * @see javax.servlet.http.HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
		response.setContentType("text/html; charset=UTF-8");
		
		PrintWriter out = response.getWriter();
		
		out.println("<html>");
		out.println("<head>");
		out.println("<title>" + title + "</title>");
		out.println("</head>");
		out.println("<body>");
		out.println("Application name: " + appName);
		out.println("</body>");
		out.println("</html>");
	}  	  	  	    
}